<?php

//=================================================
// サブメニュー マニュアルページ
//=================================================

require_once(dirname(__FILE__) . '/../util.php');
require_once(get_plugin_root() . '/config.php');

function calliope_manual_page()
{
?>

  <?php calliope_wrap_head(); ?>

  <div class="calliope_manual_page">
    <div class="calliope-area">
      <div class="calliope-wrapper">
        <div class="calliope-contents-area">
          <div class="calliope-contents-wrapper">
            <div class="calliope-frame-img">
              <img src="<?php echo CalliopeConfig::get_img_uri(); ?>calliope_frame.png">
            </div>
            <div class="manual-block">
              <input id="block-01" type="checkbox" class="manual-accordion-toggle" checked>
              <label class="manual-accordion-label" for="block-01">Calliopeとは？</label>
              <div class="manual-accordion-content">
                Calliope(カリオペ)とは、Wordpressで自動的に文章を作成し投稿することができる、人工知能自動文章作成ツールです。<br>
                ChatGPTと呼ばれるOpenAI社製のチャットボットと同じ人工知能を使用することで、まるで人間が書いたかのような記事を作成することが可能です。<br>
                キーワードを設定するだけで関連する記事を自動で生成し続けることができます。
              </div>
            </div>
            <div class="manual-block">
              <input id="block-02" type="checkbox" class="manual-accordion-toggle">
              <label class="manual-accordion-label" for="block-02">ChatGPTとは？</label>
              <div class="manual-accordion-content">
                <h3>ChatGPTとは</h3>
                ChatGPTは、人間のような自然な対話ができるAIモデルで、OpenAIが開発した大規模な自然言語処理モデルです。<br>
                文章を理解し、質問に答えたり問題を解決したりすることができます。さまざまなトピックに関する情報を提供し、会話の流れを理解して一貫性を保ちます。<br>
                カスタマーサポートや情報検索、アイデアの発想など、様々な用途に活用できます。簡単に言えば、チャットで話しているかのような感覚でコミュニケーションを取ることができるAIです。
                <h3>ChatGPTのトークンについて</h3>
                2023年4月現在、1,000トークンあたり0.002ドルで利用することができます。
                1トークンは英語の場合、1単語です。例えば、『Open』という単語で1トークンになります。
                そのため、『OpenAI』や『Hello World』は2トークンです。<br>
                <br>
                一方、日本語は漢字やひらがな、漢字やひらがなの種類によってトークンの数え方が異なります。
                例えば、『料』という1字は2トークン、『料金』は全部で4トークンです。また、ひらがなは『を』が1トークン、『み』は2トークンとなります。<br>
                <br>
                ChatGPTは、既存のチャットボットサービスの中では非常に安価であり、利用しやすくなっています。
                従量課金制ではありますが、管理画面から『Usage limits(使用量の制限)』を行うこともできるため、
                そのような設定を利用すれば安心して利用できるように工夫することが可能です。<br>
                <h3>ChatGPTはコスパがいい</h3>
                GPTを有料で使用するメリットは価格の安さです。
                有料プランでは使用量に応じて従量課金されますが、かなり安いです。<br>
                <br>
                実際に100記事ほど記事を生成してみましたが500円程度しかかかりませんでした。
                仮に記事を外注すると考えると、1記事2000円としても20万円ほどかかってしまいます。<br>
                それを考えるとコスパよく記事を量産できるという強みがあります。
              </div>
            </div>
            <div class="manual-block">
              <input id="block-03" type="checkbox" class="manual-accordion-toggle">
              <label class="manual-accordion-label" for="block-03">OpenAIのAPIキーを取得する</label>
              <div class="manual-accordion-content">
                早速、OpenAIのAPIキーを取得してみましょう。
                まだアカウントを作成したことがない人やAPIキー発行の仕方がわからないという方はぜひ参考にしてください。

                <h3>公式サイトからアカウント作成</h3>
                ChatGPT APIを使用するためには、まずアカウント作成が必要です。そのため、はじめて利用する方は下記の手順からアカウントを作成してください。<br><br>

                はじめに、「<a target="_blank" href="https://chat.openai.com/auth/login?next=%2F">OpenAI公式ページ</a>」にアクセスします。<br>
                <br>

                次に『Sign up』をクリックしてください。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>openai_key_gen/openai_key_gen1.webp">
                </div>
                <br><br>

                「Email address」に自身のメールアドレスを入力します。GoogleアカウントもしくはMicrosoftアカウントをお持ちの方は、下部のボタンからアカウント作成することも可能です。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>openai_key_gen/openai_key_gen2.webp">
                </div>
                <br><br>

                好きなパスワードを入力し、「Continue」をクリックします。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>openai_key_gen/openai_key_gen3.webp">
                </div>
                <br><br>

                メールアドレスの確認を促されますので、メールに届いたメールから認証をしてください。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>openai_key_gen/openai_key_gen4.webp">
                </div>
                <br><br>

                次に、名前と誕生日を入力します。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>openai_key_gen/openai_key_gen5.webp">
                </div>
                <br><br>

                電話番号を入力してください。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>openai_key_gen/openai_key_gen6.webp">
                </div>
                <br><br>

                以上でアカウントの作成は完了です。

                <h3>ログインしてAPIキーを発行</h3>
                「<a target="_blank" href="https://chat.openai.com/auth/login?next=%2F">OpenAI公式ページ</a>」にアクセスします。</br>
                作成したアカウントでログインしてください</br>
                </br>

                右上のPersonalをクリックするとメニューが表示されるので『View API keys』を選択します。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>openai_key_gen/openai_key_gen7.webp">
                </div>
                <br><br>

                画面中央部にある『+ Create new secret key』のボタンをクリックします。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>openai_key_gen/openai_key_gen8.webp">
                </div>
                <br><br>

                「Create new secret key」のポップアップが表示されるので、APIキーの名前を入力し、作成してください。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>openai_key_gen/openai_key_gen9.webp">
                </div>
                <br><br>

                作成したキーは絶対に他人に教えたり、公開したりしないでください。<br>
                また、一度作成したキーは作成直後しかコピーできないので、どこかに控えておくようにしてください。<br>

              </div>
            </div>
            <div class="manual-block">
              <input id="block-04" type="checkbox" class="manual-accordion-toggle">
              <label class="manual-accordion-label" for="block-04">使い方</label>
              <div class="manual-accordion-content">
                <h3>APIキーの登録</h3>
                <a target="_blank" href="<?php echo admin_url('admin.php?page=calliope_menu') ?>">メイン設定</a>の「OpenAI APIキー」に先程生成したOpenAIのAPIキーを入力しましょう。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>how_to_use/how_to_use1.png">
                </div>
                <br><br>

                <h3>フィード設定</h3>
                <a target="_blank" href="<?php echo admin_url('admin.php?page=calliope_feeds') ?>">フィード設定</a>から自動投稿の設定を行うことができます。<br>
                右上の新規作成ボタンからフィード登録を行ってみましょう。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>how_to_use/how_to_use2.png">
                </div>
                <br><br>

                フィード登録画面に移動し、フィードの設定を行っていきます。<br>
                使い方がわからない項目は、項目名のとなりにある「？」マークをクリックするとヘルプが表示されます。
                <div class="openai-key-gen-img">
                  <img src="<?php echo CalliopeConfig::get_img_uri(); ?>how_to_use/how_to_use3.png">
                </div>
                <br>

                <h3>記事をテスト生成してみる</h3>
                登録したフィードの編集画面に移動します。<br>
                <a target="_blank" href="<?php echo admin_url('admin.php?page=calliope_feeds') ?>">フィード設定</a>の一覧から、登録したフィードの名前をクリックし、フィード編集画面に移動します。<br>
                画面の一番下にある「保存してテスト実行する」をクリックしてみましょう。<br>
                <br>

                テスト実行の処理完了には5分ほどかかります。終了後は<a target="_blank" href="<?php echo admin_url('edit.php') ?>">投稿ページ</a>から投稿を確認してください。<br>
                10分以上投稿が追加されない場合は再度テスト実行してみてください。<br>

                <h3>記事を自動生成してみる</h3>
                記事の自動生成には2つの設定が必要です。<br>
                1つ目は<a target="_blank" href="<?php echo admin_url('admin.php?page=calliope_menu') ?>">メイン設定</a>の「自動投稿を実行する」、2つ目はフィード編集画面の「実行スケジュール
                」です。<br>
                自動実行する場合は、「自動投稿を実行する」を「実行する」に設定してください。
                「実行スケジュール」で設定した時間ごとに記事が自動生成されます。<br>
                <br>

                逆に実行したくない場合は「自動投稿を実行する」を「実行しない」に設定してください。
                また、特定のフィードのみ実行したくない場合は、「実行スケジュール」を「実行しない」に設定してください。<br>
              </div>
            </div>
            <div class="manual-block">
              <input id="block-05" type="checkbox" class="manual-accordion-toggle">
              <label class="manual-accordion-label" for="block-05">注意点</label>
              <div class="manual-accordion-content">
                <h3>1. 情報の信頼性: </h3>
                ChatGPTはトレーニングデータから学習した情報を元に応答しますが、必ずしも正確な情報とは限りません。
                特に医療や法律などの専門的な領域に関しては、専門家の助言や信頼性の高い情報源を参照することが重要です。<br>
                <br>
                <h3>2. 「情報の鮮度」が低い: </h3>
                現在のChatGPTは2021年までの情報を用いて学習するため、2022年以降の情報に関しては回答できません。
                そのため、ニュースや最新漫画の情報といった新しいことを知らないため、キーワードには選ばないほうが良いでしょう。<br>
                <br>
                <h3>3. 質問文に「機密情報」を組み込めない: </h3>
                もしも機密情報を含む質問文を送ってしまうと、その情報はOpenAIの開発者に読まれてしまったり、学習データとして使われたりする可能性があります。
                機密情報や個人情報は含めないでください。
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php calliope_wrap_tail(); ?>

<?php
}
