<?php

//=================================================
// サブメニュー ページ内容の表示・更新処理
//=================================================

require_once(dirname(__FILE__) . '/../util.php');
require_once(get_plugin_root() . '/config.php');
require_once(get_plugin_root() . '/db/operation.php');
require_once(get_plugin_root() . '/api/mode.php');

function calliope_mode_page()
{
  global $wpdb;

  $calliope_user = $wpdb->get_row("SELECT * FROM " . CalliopeConfig::TABLE_CALLIOPE_USER . " WHERE id = 1");

  $md = new Mode();
  $result = $md->get_mode($calliope_user->uid);

  $mode = Mode::IS_NOT_TEST;

  if ($result['code'] == ApiBase::SUCCESS) {
    if (!empty($result['data']->mode)) {
      $mode = $result['data']->mode;
    }
  }

  if (get_post_value('posted') == 'mode') {
    //設定画面で入力された設定値を保存

    $result = $md->set_mode($calliope_user->uid, get_post_value('mode'), get_post_value('passcode'));
  }

  ///// jsの読み込み
  wp_enqueue_script('calliope-scripts', get_plugin_root_uri('js/calliope_script.js'));

?>

  <?php calliope_wrap_head(); ?>

  <?php if (!empty($result) && $result['code'] == ApiBase::ERROR) : ?>
    <div class="error">
      <p><strong><?php echo $result['message'] ?></strong></p>
    </div>
  <?php endif; ?>

  <form method="post" action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>">
    <div class="calliope_mode_page">
      <div class="calliope-area">
        <div class="calliope-wrapper">
          <div class="calliope-header">
            <h1>モード変更</h1>
          </div>
          <div class="calliope-contents-area">
            <div class="calliope-contents-wrapper">
              <div class="input-index">モード変更</div>
              <div class="input-wrapper">
                <div class="input-header">
                  <div class="input-label">モード</div>
                </div>
                <div><?php echo $mode ?></div>
              </div>
              <?php if($mode == Mode::IS_NOT_TEST): ?>
              <div class="input-wrapper">
                <div class="input-header">
                  <div class="input-label">パスコード</div>
                </div>
                <input type="text" name="passcode" value="">
              </div>
              <?php endif; ?>
              <div class="bottom-action-wrapper">
                <input type="hidden" name="posted" value="mode">
                <?php
                if ($mode == Mode::IS_TEST) {
                  $btn_name = 'テストモードを解除';
                  $btn_value = Mode::IS_NOT_TEST;
                } else {
                  $btn_name = 'テストモードに変更';
                  $btn_value = Mode::IS_TEST;
                }
                ?>
                <button type="submit" name="mode" class="submit-btn button button-primary" value="<?php echo $btn_value ?>"><?php echo $btn_name ?></button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </form>

  <?php calliope_wrap_tail(); ?>

<?php
}
