<?php

//=================================================
// サブメニュー ユーザー情報の登録ページ
//=================================================

require_once(dirname(__FILE__) . '/../util.php');
require_once(get_plugin_root() . '/config.php');
require_once(get_plugin_root() . '/api/user_certification.php');
require_once(get_plugin_root() . '/db/operation.php');

function calliope_resest_password_page()
{
  $form_items = CalliopeConfig::CALLIOPE_RESET_PASSWORD_FORM_ITEMS;

  $result = [];
  $errors = [];

  $uc = new UserCertification();

  if (get_post_value('reset-password') == 'reset-password') {
    $errors = calliope_resest_password_page_validation();

    if (empty($errors)) {
      $uc->reset_password(get_post_value('mail'));
    }
  }

  ///// jsの読み込み
  wp_enqueue_script('calliope-scripts', get_plugin_root_uri('js/calliope_script.js'));
  wp_enqueue_script('calliope-scripts-calliope_user_login_page', get_plugin_root_uri('js/calliope_user_login_page.js'));
?>

  <?php calliope_wrap_head(); ?>

  <?php foreach ($errors as $error) : ?>
    <div class="error">
      <p><strong><?php echo $error['label'] ?>は <?php echo $error['message'] ?></strong></p>
    </div>
  <?php endforeach; ?>

  <?php if (!empty($result) && $result['code'] == ApiBase::ERROR) : ?>
    <div class="error">
      <p><strong><?php echo $result['message'] ?></strong></p>
    </div>
  <?php endif; ?>

  <?php if (empty($error) && get_post_value('reset-password') == 'reset-password') : ?>
    <div class="updated">
      <p><strong>パスワードリセット用のメールを送信しました。受信ボックスをご確認ください。</strong></p>
    </div>
  <?php endif; ?>

  <form method="post" name="form" action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>">
    <div class="calliope_setting_page">
      <div class="calliope-area">
        <div class="calliope-wrapper">
          <div class="calliope-header">
            <h1>パスワードリセット</h1>
          </div>
          <div class="calliope-contents-area">
            <div class="calliope-contents-wrapper">
              <div class="input-wrapper">
                <div class="input-header">
                  <div class="input-label"><?php echo $form_items['mail']['label'] ?></div>
                  <div class="input-hint">
                    <div class="input-hint-label"><img src="<?php echo CalliopeConfig::get_img_uri(); ?>hint_icon.png"></div>
                    <div class="input-hint-text">
                      メールアドレスを入力してください。
                    </div>
                  </div>
                </div>
                <input type="text" name="mail" value="<?php echo $form_items['mail']['val'] ?>">
              </div>
              <div class="bottom-action-wrapper">
                <input type="hidden" name="posted" value="save">
                <button type="submit" name="reset-password" id="login-btn" class="submit-btn button button-green" value="reset-password">パスワードをリセットする</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </form>

  <?php calliope_wrap_tail(); ?>
<?php
}


function calliope_resest_password_page_validation()
{
  $errors = [];
  $form_items = CalliopeConfig::CALLIOPE_RESET_PASSWORD_FORM_ITEMS;

  foreach ($form_items as $key => $form_item) {
    $form_items[$key] = get_post_value($key);
    if ($form_item['required'] == true && (get_post_value($key) == null || get_post_value($key) == '')) {
      $errors[] = [
        'label' => $form_item['label'],
        'message' => '必須項目です',
      ];
    }
  }

  return $errors;
}
