<?php

require_once(dirname(__FILE__) . '/../../util.php');
require_once(get_plugin_root() . '/l10n/l10n.php');

function calliope_header()
{
  //// 有効期限を取得する
  $is_near_expired = false;
  $uc = new UserCertification();
  $_exrs = $uc->get_expired_date();
  if ($_exrs['code'] == ApiBase::SUCCESS) {
    $expired_date = new DateTime($_exrs['data']->expiredDate);
    $now = new DateTime();

    $diff = $now->diff($expired_date);
    $minus = $diff->invert;

    // 有効期限切れではない and 14日以内 であればアラートを表示する
    if ($minus == 0 && $diff->days < 14) {
      $is_near_expired = true;
    }
  }

  //// 生成器字数制限を取得する
  $is_near_verify_post_count = false;
  // 記事生成制限を取得する
  $post_limit = get_post_limit();
  // 生成した有効記事数を取得する
  $monthly_active_post_count = get_monthly_active_post_count();

  if (!empty($post_limit)) {
    $is_near_verify_post_count = $post_limit - $monthly_active_post_count <= 5;
  }

?>
  <div class="calliope-app-header">
    <div class="calliope-app-header-wrapper">
      <div class="header-service-icon"><img src="<?php echo CalliopeConfig::get_img_uri(); ?>calliope_logo.png"></div>
      <div class="header-service-label">Calliope</div>
      <div class="header-wpaicg-label">- Wordpress AI Contents Generator </div>
      <div class="header-wpaicg-ver">ver<?php echo get_plugin_version() ?></div>
    </div>
  </div>
  <?php if ($is_near_expired) : ?>
    <div class="notice notice-warning">
      <p><strong>有効期限が近づいています。（<?php echo $_exrs['data']->expiredDate ?>）</strong></p>
      <p><strong>引き続きご利用いただくために、<a href="<?php echo admin_url('admin.php?page=calliope_subsc_purchase') ?>">サブスクリプションの登録</a>を行ってください</strong></p>
    </div>
  <?php endif; ?>
  <?php if ($is_near_verify_post_count) : ?>
    <div class="notice notice-warning">
      <p><strong>記事生成数の制限が近づいています（<?php echo $monthly_active_post_count ?>件 / <?php echo $post_limit ?>件中）</strong></p>
      <p><strong>記事生成数が無制限の<a href="<?php echo admin_url('admin.php?page=calliope_subsc_purchase') ?>">プレミアムプラン</a>にアップグレードしてください。</strong></p>
    </div>
  <?php endif; ?>
<?php
}
