<?php

# ArticleFormatクラス
class ArticleFormat
{
  public $string;
  public $htmlformat_tag;
  public $is_content;

  function __construct($string, $htmlformat_tag, $is_content = false)
  {
    $this->string = $string;
    $this->htmlformat_tag = $htmlformat_tag;
    $this->is_content = $is_content;
  }

  // htmlタグを付与したテキストを生成
  function get_html_format()
  {
    if ($this->is_content) {
      $this->format_contents();
    }

    if ($this->htmlformat_tag != '') {
      return "<" . $this->htmlformat_tag . ">" . $this->string . "</" . $this->htmlformat_tag . ">";
    }

    return $this->string;
  }

  // 本文の整形
  function format_contents()
  {
    $this->string = str_replace("。", "。<br><br>", $this->string);
    $this->string = str_replace("！", "！<br><br>", $this->string);

    // たまに生成した文字列が「」でくくられている場合があるので、除去する
    if (mb_substr($this->string, 0, 1) === '「' && mb_substr($this->string, -1) === '」') {
      $this->string = mb_substr($this->string, 1);
      $this->string = mb_substr($this->string, 0, -1);
    }
  }
}
