<?php

class CalliopeConfig
{
  // firebase api key
  const FIREBASE_API_KEY = 'AIzaSyAfGJnyQXqjB2pNvK8VaJmZtsgcoDhQUA4';

  //テーブル名
  const TABLE_CALLIOPE_FEEDS = 'calliope_feeds';
  const TABLE_CALLIOPE_SETTING = 'calliope_setting';
  const TABLE_CALLIOPE_FEEDS_FORMATS = 'calliope_feeds_formats';
  const TABLE_CALLIOPE_FEEDS_POSTS = 'calliope_feeds_posts';
  const TABLE_CALLIOPE_FEEDS_SCHEDULE = 'calliope_feeds_schedule';
  const TABLE_CALLIOPE_USER = 'calliope_user';
  const TABLE_CALLIOPE_MIGRATE = 'calliope_migrate';

  // GPTバージョン
  const CALLIOPE_GPT3 = 'gpt-3.5-turbo';
  const CALLIOPE_GPT4 = 'gpt-4-turbo-preview';

  const CALLIOPE_FEED_EDIT_FORM_ITEMS =
  [
    'name' => [
      'label' => 'フィード名',
      'val' => '',
      'required' => true,
    ],
    'keyword' => [
      'label' => 'キーワード',
      'val' => '',
      'required' => true,
    ],
    'related_keywords' => [
      'label' => '関連キーワード',
      'val' => '',
      'required' => false,
    ],
    'custom_prompt' => [
      'label' => 'カスタムプロンプト',
      'val' => '',
      'required' => false,
    ],
    'reference_urls' => [
      'label' => '参考URL',
      'val' => '',
      'required' => false,
    ],
    'cron_interval' => [
      'label' => '実行スケジュール',
      'val' => '',
      'required' => true,
    ],
    'is_view_lead_text' => [
      'label' => 'リード文を表示',
      'val' => 1,
      'required' => true,
    ],
    'index_count' => [
      'label' => '見出し件数',
      'val' => 5,
      'required' => true,
    ],
    'is_view_index_ad' => [
      'label' => '見出しごとに広告を表示',
      'val' => 0,
      'required' => false,
    ],
    'is_view_summary' => [
      'label' => '要約を表示',
      'val' => 1,
      'required' => true,
    ],
    'is_view_last_ad' => [
      'label' => '記事文末に広告を表示',
      'val' => 1,
      'required' => false,
    ],
    'embedded_html' => [
      'label' => '埋め込みHTML',
      'val' => '',
      'required' => false,
    ],
    'status' => [
      'label' => '投稿ステータス',
      'val' => 0,
      'required' => true,
    ],
    'post_type' => [
      'label' => '投稿タイプ',
      'val' => '',
      'required' => true,
    ],
    'category' => [
      'label' => 'カテゴリ',
      'val' => '',
      'required' => false,
    ],
    'tag' => [
      'label' => 'タグ',
      'val' => '',
      'required' => false,
    ],
  ];

  // フィード設定
  const CALLIOPE_INDEX_COUNT_LABEL = [
    1 => '1件',
    2 => '2件',
    3 => '3件',
    4 => '4件',
    5 => '5件',
  ];

  const CALLIOPE_CRON_INTERVAL = [
    0 => '実行しない',
    600 => '10分毎',
    900 => '15分毎',
    1800 => '30分毎',
    3600 => '1時間毎',
    7200 => '2時間毎',
    10800 => '3時間毎',
    21600 => '6時間毎',
    43200 => '12時間毎',
    86400 => '24時間毎',
    172800 => '2日おき',
    259200 => '3日おき',
    345600 => '4日おき',
    432000 => '5日おき',
    518400 => '6日おき',
    604800 => '7日おき',
    864000 => '10日おき',
    1209600 => '14日おき',
    2592000 => '30日おき',
  ];

  const CALLIOPE_IS_VIEW_LEAD_TEXT = [
    0 => '表示しない',
    1 => '表示する',
  ];

  const CALLIOPE_IS_VIEW_INDEX_AD = [
    0 => '表示しない',
    1 => '表示する',
  ];

  const CALLIOPE_IS_VIEW_SUMMARY = [
    0 => '表示しない',
    1 => '表示する',
  ];

  const CALLIOPE_IS_VIEW_LAST_AD = [
    0 => '表示しない',
    1 => '表示する',
  ];

  const CALLIOPE_STATUS = [
    0 => '下書き',
    1 => '公開',
  ];

  const CALLIOPE_POST_STATUS_VAL = [
    0 => 'draft',
    1 => 'publish',
  ];

  const CALLIOPE_SETTING_FORM_ITEMS =
  [
    'open_ai_api_key' => [
      'label' => 'OpenAI APIキー',
      'val' => '',
      'required' => false,
    ],
    'is_cron_exec' => [
      'label' => '自動投稿を実行する',
      'val' => 0,
      'required' => false,
    ],
    'gpt_version' => [
      'label' => 'GPTのバージョン',
      'val' => self::CALLIOPE_GPT4,
      'required' => true,
    ],
  ];

  const CALLIOPE_IS_CRON_EXEC = [
    0 => '実行しない',
    1 => '実行する',
  ];

  const CALLIOPE_GPT_VERSION = [
    self::CALLIOPE_GPT3 => 'gpt-3.5-turbo',
    self::CALLIOPE_GPT4 => 'gpt-4-turbo',
  ];

  const CALLIOPE_USER_CREATE_FORM_ITEMS =
  [
    'mail' => [
      'label' => 'メールアドレス',
      'val' => '',
      'required' => true,
    ],
    'password' => [
      'label' => 'パスワード',
      'val' => '',
      'required' => true,
    ],
  ];

  const CALLIOPE_USER_LOGIN_FORM_ITEMS =
  [
    'mail' => [
      'label' => 'メールアドレス',
      'val' => '',
      'required' => true,
    ],
    'password' => [
      'label' => 'パスワード',
      'val' => '',
      'required' => true,
    ],
  ];

  const CALLIOPE_RESET_PASSWORD_FORM_ITEMS =
  [
    'mail' => [
      'label' => 'メールアドレス',
      'val' => '',
      'required' => true,
    ],
  ];

  const CALLIOPE_COUPON_CODE_INPUT_FORM_ITEMS =
  [
    'coupon_code' => [
      'label' => 'クーポンコード',
      'val' => '',
      'required' => true,
    ],
  ];

  const CALLIOPE_KEYWORD_FORM_ITEMS =
  [
    'keyword' => [
      'label' => 'キーワード',
      'val' => '',
      'required' => true,
    ],
  ];

  static function get_img_uri()
  {
    return plugin_dir_url(__FILE__) . 'img/';
  }
}
