//ページのロードが完了したら
window.addEventListener('load', () => {

  /*******************************************
   * 生成記事のフォーマットを表示する
   *******************************************/

  // 投稿書式設定の初期化
  function init_feed_format() {
    remove_feed_format_items();
    check_feed_format_item_is_view_lead_text();
    check_feed_format_item_index_count();
    check_feed_format_item_is_view_summary();
    check_feed_format_item_is_view_embedded_html();
  }
  init_feed_format();

  // リード文
  document.querySelector('#input-is_view_lead_text').addEventListener('change', () => {
    init_feed_format();
  });
  function check_feed_format_item_is_view_lead_text() {
    const input = document.form.is_view_lead_text;
    const val = input.value;
    if (val == 1) add_feed_format_item('リード文', 'feed-post-format-item-is_view_lead_text');
  }

  // 見出し
  document.querySelector('#input-index_count').addEventListener('change', () => {
    init_feed_format();
  });
  function check_feed_format_item_index_count() {
    const input = document.form.index_count;
    const val = input.value;

    for (let i = 0; i < val; i++) {
      add_feed_format_item('見出し' + (i + 1) + ' + 本文', 'feed-post-format-item-index_count');
    }
  }

  // 要約
  document.querySelector('#input-is_view_summary').addEventListener('change', () => {
    init_feed_format();
  });
  function check_feed_format_item_is_view_summary() {
    const input = document.form.is_view_summary;
    const val = input.value;
    if (val == 1) add_feed_format_item('要約', 'feed-post-format-item-is_view_summary');
  }

  // 埋め込みHTML
  function check_feed_format_item_is_view_embedded_html() {
    add_feed_format_item('埋め込みHTML', 'feed-post-format-item-is_view_embedded_html');
  }

  // 画面左エリアに生成記事のフォーマットを追加する
  function add_feed_format_item(label, class_str) {
    let new_ele = document.createElement('div');
    new_ele.classList.add("feed-post-format-item");
    new_ele.classList.add(class_str);
    new_ele.textContent = label;

    let target_elem = document.querySelector('.feed-post-format-wrapper');
    target_elem.appendChild(new_ele);
  }

  function remove_feed_format_items() {
    let target_elems = document.querySelectorAll('.feed-post-format-wrapper .feed-post-format-item');
    target_elems.forEach((target_elem) => {
      target_elem.remove();
    });
  }


  /*******************************************
   * 記事のテスト生成
   *******************************************/

  ///// ajaxでテスト実行の進行状況を取得する
  var test_autogen_timer = null;
  var test_autogen_indi_arr = ['', '。', '。。', '。。。'];
  var test_autogen_indi_cnt = 0;

  var test_autogen_ajax_handler = function () {
    console.log('test_autogen_ajax_handler ..... ');

    calliope_feeds_schedule_id = document.querySelector('#calliope-feed-schedule-id').value;

    // リクエストを作成
    var data = {
      action: 'calliope_feed_edit_page_test_autogen_ajax_request',
      calliope_feeds_schedule_id: calliope_feeds_schedule_id
    };

    let forms = new FormData();
    forms.append('action', 'calliope_feed_edit_page_test_autogen_ajax_request');
    forms.append('calliope_feeds_schedule_id', calliope_feeds_schedule_id);

    fetch(
      '/wp-admin/admin-ajax.php',
      {
        method: 'POST',
        credentials: 'same-origin',
        headers: {
          'Content-Type': 'application/x-www-form-urlencoded; charset=utf-8'
        },
        body: new URLSearchParams(data),
      }
    )
    .then(function (response) {
      return response.json();
    })
    .then(function (data) {
      // 受け取ったレスポンスデータを処理する
      var status = data.status;
      var message = data.message;

      if (status == 'done'){
        // 終了時の処理
        test_autogen_clearIntervalFunc();

        var post_id = data.post_id;
        var insertHTML = '自動投稿が完了しました。<a href="/wp-admin/post.php?post='+post_id+'&action=edit">投稿ページ</a>から投稿を確認してください。';
        document.querySelector('#status-str').textContent = '';
        document.querySelector('#status-str').insertAdjacentHTML('afterbegin', insertHTML);

        document.querySelector('#test-autogen-title').textContent = '自動投稿のテストが完了しました！';
      }else{
        document.querySelector('#status-str').textContent = 'ステータス ... ' + message + test_autogen_indi_arr[test_autogen_indi_cnt];
      }
    })
    .catch(function (error) {
      console.log('エラーが発生しました: ' + error);
    });

    test_autogen_indi_cnt++;
    if (test_autogen_indi_cnt == 4) {
      test_autogen_indi_cnt = 0;
    }
  }

  //5000ミリ秒（5秒）毎に関数「test_autogen_ajax_handler()」を呼び出す
  if (document.querySelector('#test-autogen-exec').value == 1) {
    document.querySelector('#modalArea').style.display = 'block';
    test_autogen_ajax_handler();
    test_autogen_timer = setInterval(test_autogen_ajax_handler, 2000);
  }

  document.querySelector('#modalBg').addEventListener('click', () => {
    document.querySelector('#modalArea').style.display = 'none';
  });

  function test_autogen_clearIntervalFunc() {
    // setIntervalの停止
    clearInterval(test_autogen_timer);
  };


  /*******************************************
   * 関連キーワード自動生成
   *******************************************/

  // 関連キーワードを自動生成する
  var related_keyword_autogen_timer = null;
  var related_keyword_autogen_indi_arr = ['', '。', '。。', '。。。'];
  var related_keyword_autogen_indi_cnt = 0;

  var related_keyword_generate_ajax_handler = function () {
    console.log('related_keyword_generate_ajax_handler ..... ');

    keyword = document.querySelector('#input-keyword').value;

    let forms = new FormData();
    forms.append('action', 'calliope_feed_edit_page_related_keyword_generate_ajax_request');
    forms.append('keyword', keyword);

    fetch(
      '/wp-admin/admin-ajax.php',
      {
        method: 'POST',
        credentials: 'same-origin',
        body: forms,
      }
    )
      .then(function (response) {
        return response.json();
      })
      .then(function (data) {
        // 受け取ったレスポンスデータを処理する
        var related_keywords = data.related_keywords;

        // テキストエリアに関連キーワードを挿入する
        related_keywords.forEach((related_keyword) => {
          let _rk = related_keyword;
          if (document.querySelector('#input-related_keywords').value != ''){
            _rk = "\n" + related_keyword;
          }

          document.querySelector('#input-related_keywords').value += _rk;
        });

        // タイマー停止
        related_keyword_autogen_clearIntervalFunc();
        related_keyword_autogen_indi_cnt = 0;

        // メッセージを非表示
        document.querySelector('#keyword-autogen-message').textContent = '';
      })
      .catch(function (error) {
        console.log('エラーが発生しました: ' + error);
      });
  }

  document.querySelector('#keyword-autogen-exec').addEventListener('click', () => {
    // キーワードを生成する
    related_keyword_generate_ajax_handler();

    // メッセージのタイマーを動かす
    related_keyword_autogen_timer = setInterval(() => {
      related_keyword_autogen_indi_cnt++;
      if (related_keyword_autogen_indi_cnt == 4) {
        related_keyword_autogen_indi_cnt = 0;
      }

      document.querySelector('#keyword-autogen-message').textContent = 'キーワード生成中' + related_keyword_autogen_indi_arr[related_keyword_autogen_indi_cnt];

    }, 1000);
  });

  function related_keyword_autogen_clearIntervalFunc() {
    // setIntervalの停止
    clearInterval(related_keyword_autogen_timer);
  };

});