<?php

require_once(dirname(__FILE__) . '/../util.php');
require_once(get_plugin_root() . '/calliope_logger.php');

class l10n{

  private static $singleton;
  private static $lang;
  private static $translations;

  private function __construct()
  {
    self::$lang = $_SERVER['HTTP_ACCEPT_LANGUAGE'];

    if (self::$lang == 'ja') {
      // 言語ファイルを読み込む
      self::$translations = require(get_plugin_root() . '/l10n/ja.php');
    } else {
      self::$translations = require(get_plugin_root() . '/l10n/en.php');
    }
  }

  static function __($key, $args = []){
    if (!isset(self::$singleton)) {
      self::$singleton = new l10n();
    }

    if (isset(self::$translations[$key])) {
      return sprintf(self::$translations[$key], ...$args);
    }

    // 翻訳が見つからない場合は元のキーを返す
    return $key;
  }
}