<?php

require_once(dirname(__FILE__) . '/util.php');
require_once(get_plugin_root() . '/config.php');
require_once(get_plugin_root() . '/admins/includes/app_wrap_head.php');
require_once(get_plugin_root() . '/admins/includes/app_wrap_tail.php');
require_once(get_plugin_root() . '/admins/calliope_feed_edit_page.php');
require_once(get_plugin_root() . '/admins/calliope_feeds_page.php');
require_once(get_plugin_root() . '/admins/calliope_dashboard_page.php');
require_once(get_plugin_root() . '/admins/calliope_setting_page.php');
require_once(get_plugin_root() . '/admins/calliope_manual_page.php');
require_once(get_plugin_root() . '/admins/calliope_user_create_page.php');
require_once(get_plugin_root() . '/admins/calliope_user_login_page.php');
require_once(get_plugin_root() . '/admins/calliope_resest_password_page.php');
require_once(get_plugin_root() . '/admins/calliope_coupon_code_input_page.php');
require_once(get_plugin_root() . '/admins/calliope_coupon_code_purchase_page.php');
require_once(get_plugin_root() . '/admins/calliope_keyword_page.php');
require_once(get_plugin_root() . '/admins/calliope_subsc_purchase_page.php');
require_once(get_plugin_root() . '/admins/calliope_subsuc_or_coupon_page.php');
require_once(get_plugin_root() . '/admins/calliope_mode_page.php');

function add_menus()
{
  //=================================================
  // 管理画面に追加登録する
  //=================================================
  add_action('admin_menu', function () {
    //---------------------------------
    // メインメニュー①
    //---------------------------------
    add_menu_page(
      'Calliope', // ページのタイトルタグ<title>に表示されるテキスト
      'Calliope', // 左メニューとして表示されるテキスト
      'manage_options', // 必要な権限 manage_options は通常 administrator のみに与えられた権限
      'calliope_menu', // 左メニューのスラッグ名 →URLのパラメータに使われる /wp-admin/admin.php?page=calliope_menu
      '', // メニューページを表示する際に実行される関数(サブメニュー①の処理をする時はこの値は空にする)
      CalliopeConfig::get_img_uri() . "calliope_dash_icon.png", // メニューのアイコンを指定 https://developer.wordpress.org/resource/dashicons/#awards
      90 // メニューが表示される位置のインデックス(0が先頭) 5=投稿,10=メディア,20=固定ページ,25=コメント,60=テーマ,65=プラグイン,70=ユーザー,75=ツール,80=設定
    );

    if (!is_verified()) {
      // ユーザー登録が終わってない or (クーポンコード未入力 or クーポンコード有効期限切れ) or サブスク未登録
      user_create();
      user_login();
      resest_password();
      calliope_coupon_code_input();
      calliope_subsuc_or_coupon();
      calliope_subsc_purchase();
      calliope_coupon_code_purchase();
    } else {
      // ユーザー登録完了 & (クーポンコード有効期限内 or サブスク登録済み)
      calliope_dashboard(1);
      calliope_setting(2);
      calliope_feeds(3);
      calliope_feed_edit();
      calliope_keyword();
      calliope_subsc_purchase(4);
      calliope_manual(5);
      calliope_coupon_code_input();
      calliope_mode();
    }
  });
}

function user_create($index = null)
{
  submenu_create(
    'calliope_user_create', // 親メニューのスラッグ
    'ユーザー情報登録', // ページのタイトルタグ<title>に表示されるテキスト
    'ユーザー情報登録', // サブメニューとして表示されるテキスト
    'manage_options', // 必要な権限 manage_options は通常 administrator のみに与えられた権限
    'calliope_menu', // サブメニューのスラッグ名。この名前を親メニューのスラッグと同じにすると親メニューを押したときにこのサブメニューを表示します。一般的にはこの形式を採用していることが多い。
    'calliope_user_create_page', //（任意）このページのコンテンツを出力するために呼び出される関数
    $index
  );
}

function user_login($index = null)
{
  submenu_create(
    'calliope_user_login',
    'ログイン',
    'ログイン',
    'manage_options',
    'calliope_user_login',
    'calliope_user_login_page',
    $index
  );
}

function resest_password($index = null)
{
  submenu_create(
    'calliope_resest_password',
    'パスワードリセット',
    'パスワードリセット',
    'manage_options',
    'calliope_resest_password',
    'calliope_resest_password_page',
    $index
  );
}

function calliope_coupon_code_input($index = null)
{
  submenu_create(
    'calliope_coupon_code_input',
    'クーポンコード入力',
    'クーポンコード入力',
    'manage_options',
    'calliope_coupon_code_input',
    'calliope_coupon_code_input_page',
    $index
  );
}

function calliope_coupon_code_purchase($index = null)
{
  submenu_create(
    'calliope_coupon_code_purchase',
    'ライセンス購入',
    'ライセンス購入',
    'manage_options',
    'calliope_coupon_code_purchase',
    'calliope_coupon_code_purchase_page',
    $index
  );
}

function calliope_dashboard($index = null)
{
  submenu_create(
    'calliope_dashboard',
    'ダッシュボード',
    'ダッシュボード',
    'manage_options',
    'calliope_menu',
    'calliope_dashboard_page',
    $index
  );
}

function calliope_setting($index = null)
{
  submenu_create(
    'calliope_setting',
    'メイン設定',
    'メイン設定',
    'manage_options',
    'calliope_setting',
    'calliope_setting_page',
    $index
  );
}

function calliope_feeds($index = null)
{
  submenu_create(
    'calliope_feeds',
    'フィード設定',
    'フィード設定',
    'manage_options',
    'calliope_feeds',
    'calliope_feeds_page',
    $index
  );
}

function calliope_feed_edit($index = null)
{
  submenu_create(
    'calliope_feed_edit',
    'フィード編集',
    'フィード編集',
    'manage_options',
    'calliope_feed_edit',
    'calliope_feed_edit_page',
    $index
  );
}

function calliope_manual($index = null)
{
  submenu_create(
    'calliope_manual',
    'マニュアル',
    'マニュアル',
    'manage_options',
    'calliope_manual',
    'calliope_manual_page',
    $index
  );
}

function calliope_keyword($index = null)
{
  submenu_create(
    'calliope_keyword',
    'キーワード生成',
    'キーワード生成',
    'manage_options',
    'calliope_keyword',
    'calliope_keyword_page',
    $index
  );
}

function calliope_subsc_purchase($index = null)
{
  submenu_create(
    'calliope_subsc_purchase',
    'サブスクリプション登録',
    'サブスクリプション登録',
    'manage_options',
    'calliope_subsc_purchase',
    'calliope_subsc_purchase_page',
    $index
  );
}

function calliope_subsuc_or_coupon($index = null)
{
  submenu_create(
    'calliope_subsuc_or_coupon',
    '登録方法の選択',
    '登録方法の選択',
    'manage_options',
    'calliope_subsuc_or_coupon',
    'calliope_subsuc_or_coupon_page',
    $index
  );
}

function calliope_mode($index = null)
{
  submenu_create(
    'calliope_mode',
    'モード設定',
    'モード設定',
    'manage_options',
    'calliope_mode',
    'calliope_mode_page',
    $index
  );
}

function submenu_create($slug, $title, $label, $authority, $sub_slug, $function, $index = null)
{
  if ($index !== null) {
    add_submenu_page(
      'calliope_menu',
      $title,
      $label,
      $authority,
      $sub_slug,
      $function,
      $index
    );
  } else {
    add_submenu_page(
      $slug,
      $title,
      $label,
      $authority,
      $sub_slug,
      $function
    );
  }
}
